Bug 1420881 - Review Request: fife - Multi-platform isometric game engine [NEEDINFO]
Summary: Review Request: fife - Multi-platform isometric game engine
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 18:14 UTC by Igor Gnatenko
Modified: 2021-04-26 10:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
ngompa13: fedora-review?
package-review: needinfo? (ngompa13)


Attachments (Terms of Use)

Description Igor Gnatenko 2017-02-09 18:14:20 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/fife.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/fife-0.4.1-1.fc26.src.rpm
Description:
Flexible Isometric Free Engine (FIFE) is a multi-platform isometric game engine
written in C++. It comes with Python bindings allowing users to create games
using Python as well as C++. The engine is extendable and enables you to add
any feature you can imagine to your project.
Fedora Account System Username: ignatenkobrain

Comment 1 Igor Gnatenko 2017-02-09 18:17:05 UTC
Note for reviewers:
* It's unretirement review of old fife package in Fedora
* To build python bindings you need fifechan >= 0.1.4 (it is available in koji already)
* And yes, it will eat your memory when building ;)

Comment 2 Neal Gompa 2017-02-09 18:18:11 UTC
Taking this review.

Comment 3 Neal Gompa 2017-02-10 04:16:19 UTC
Failed to build in mock:

/builddir/build/BUILD/fifengine-0.4.1/engine/core/video/cursor.cpp:29:10: fatal error: X11/Xcursor/Xcursor.h: No such file or directory
 #include <X11/Xcursor/Xcursor.h>
          ^~~~~~~~~~~~~~~~~~~~~~~
compilation terminated.

Are you sure you have all your dependencies declared?

Comment 4 Igor Gnatenko 2017-03-11 21:38:39 UTC
(In reply to Neal Gompa from comment #3)
> Failed to build in mock:
> 
> /builddir/build/BUILD/fifengine-0.4.1/engine/core/video/cursor.cpp:29:10:
> fatal error: X11/Xcursor/Xcursor.h: No such file or directory
>  #include <X11/Xcursor/Xcursor.h>
>           ^~~~~~~~~~~~~~~~~~~~~~~
> compilation terminated.
> 
> Are you sure you have all your dependencies declared?
fixed.

Comment 5 Neal Gompa 2017-03-21 13:50:21 UTC
+ /usr/bin/cat /builddir/build/SOURCES/0001-Removed-leftover-stuff-from-Cursor.-Refs-991.patch
+ /usr/bin/patch -s --fuzz=0 --no-backup-if-mismatch
The text leading up to this was:
--------------------------
|From 400636b6fd76e1d65bd1f2e261d51486f422b3b3 Mon Sep 17 00:00:00 2001
|From: helios2000 <helios2000@gmx.net>
|Date: Fri, 10 Feb 2017 17:22:06 +0100
|Subject: [PATCH] Removed leftover stuff from Cursor. Refs #991 I see no reason
| to keep XCursor and WMCursor around. Cursor only needs SDL.
|
|---
| engine/core/video/cursor.cpp | 34 +---------------------------------
| 1 file changed, 1 insertion(+), 33 deletions(-)
|
|diff --git a/engine/core/video/cursor.cpp b/engine/core/video/cursor.cpp
|index 5d4fd4e6..24f7f51c 100644
|--- a/engine/core/video/cursor.cpp
|+++ b/engine/core/video/cursor.cpp
--------------------------
File to patch:
Skip this patch? [y]
2 out of 2 hunks ignored

Patch doesn't apply...

Comment 6 Thomas Kowaliczek 2017-05-05 11:55:40 UTC
git cherry-pick works without any problems when i checkout the release and then get the commit with cherry-pick.

Comment 7 Package Review 2021-04-25 00:45:27 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time, but it seems
that the review is still being working out by you. If this is right, please
respond to this comment clearing the NEEDINFO flag and try to reach out the
submitter to proceed with the review.

If you're not interested in reviewing this ticket anymore, please clear the
fedora-review flag and reset the assignee, so that a new reviewer can take
this ticket.

Without any reply, this request will shortly be resetted.


Note You need to log in before you can comment on or make changes to this bug.